Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventSelection Class Reference

A GdkEventSelection C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventSelection:

List of all members.

## Public Member Functions

Accessors

- GdkEventSelection * gdk_event_selection () const
    Get a pointer to the GdkEventSelection structure.
- Atom selection () const
    Returns the selection.
- Atom target () const
    Returns the target to which the selection should be converted.
- Atom property () const
    Returns the property in which to place the result of the conversion.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- GdkNativeWindow requestor () const
    Returns the native window on which to place property.

## Detailed Description

A GdkEventSelection C++ wrapper class.

An EventSelection is generated when a selection is requested or ownership of a selection is taken over by another client application.

The event type will be one of SELECTION_CLEAR, SELECTION_NOTIFY or SELECTION_REQUEST.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3